Book Ticket

This method involves sending a POST request to retrieve booking data using the transaction ID provided by B2B Klikoo.



A. Request Header

FieldFormatMandatoryLengthExample
Content-TypestringYapplication/json
Open-Api Timestampyyyy-mm-dd'T'hh:mm:ss+07:00Y2024-02-07T10:28:35.000+07:0
Open-Api-SignatureDigital SignatureY88vNMoAmiDRV+paVyD5FaidgI5k
Ry2pCo8oEoQN/GBpIPuO3eicY
63b7xY0WDffScvkOZsZ1442ewa
bI7Wzd22pw==

B. Request Body

FieldTypeDescriptionRequiredExample
transaction_idstringThe unique identifier for the transactiontrue"14429004"

C. Sample Request

{
    "transaction_id": "14429004"
}

D. Response Body

FieldTypeDescriptionExample
response_codestringContains the OpenAPI response code“201052001”
response_messagestringContains the value of OpenAPI response message“Berhasil dibuat”
dataobjectThe object containing the main data for book info
transaction_idstringThe unique identifier for the transaction"14429004"
statusstringThe status of the transaction"SUCCESS"
booking_codesobjectAn object containing booking codes for the transaction
departurestringThe booking code for the departure"59SJKRUE"
returnstringThe booking code for the return (if applicable)""

E. Sample Response

{
    "response_code": "201052001",
    "response_message": "Berhasil dibuat",
    "data": {
        "transaction_id": "14429004",
        "status": "SUCCESS",
        "booking_codes": {
            "departure": "59SJKRUE",
            "return": ""
        }
    }
}

Try It Here (Form)

To try the following endpoint, enter the example request data you want to use in the following form


Body Params
string
Headers
date-time
string
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json